api/urls.py
from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .  import views


 
# Create a router and register our viewsets with it.
router = DefaultRouter()
router.register(r'user', views.UserViewSet, basename='user')

# The API URLs are now determined automatically by the router.
urlpatterns = [
    path(r'', include(router.urls)),
]

app/urls.py
from django.urls import path, include
from . import views

app_name = 'app'
urlpatterns = [
    path(

        route  = '',
        view   = views.IndexView.as_view(),
        name   = 'index'

    ),
    path(

        route  = 'registro',
        view   = views.SignUpView.as_view(),
        name   = 'user_register'

    ),
     path(

        route  = 'registro/success',
        view   = views.SuccessView.as_view(),
        name   = 'success'

    )
]

singup/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('app.urls')),
    path('api/', include('api.urls'))
]

app/models.py
from django.contrib.auth.models import AbstractUser
from django.db import models


class MyUser(AbstractUser):

    email      = models.CharField(max_length=100, help_text="correo@dom.com",unique=True)
    phone_number = models.CharField(max_length=50, help_text="3323232",  null=True)

# Create your models here.
class Profile(models.Model):
    user = models.OneToOneField(MyUser, on_delete=models.CASCADE)

app/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from . models import MyUser  

class MyUserForm(forms.ModelForm):
    class Meta:
        model = MyUser
        fields = ('username', 'email', 'password','first_name','last_name','phone_number')
        widgets = {
            'username': forms.TextInput(attrs={'class':'form-control'}),
            'email': forms.EmailInput(attrs={'class':'form-control'}),
            'password': forms.PasswordInput(attrs={'class':'form-control','type':'password'}),
            'first_name': forms.TextInput(attrs={'class':'form-control'}),
            'last_name': forms.TextInput(attrs={'class':'form-control'}),
            'phone_number': forms.TextInput(attrs={'class':'form-control'}),
        }

api/views.py
from django.shortcuts import render
from django.contrib.auth.models import User
from rest_framework import viewsets
from rest_framework.permissions import AllowAny
from app.models import MyUser  
from . serializers import UserSerializer

# Create your views here.

class UserViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = MyUser.objects.all()
    serializer_class = UserSerializer

app/views.py
from django.shortcuts import render, redirect
from django.views.generic import TemplateView
from django.contrib import messages
from django.http import HttpResponse, HttpResponseRedirect
from django.urls import reverse
from . forms  import MyUserForm
from . models import MyUser, Profile

# Create your views here.

class IndexView(TemplateView):
    template_name = "index.html"

class SuccessView(TemplateView):
    template_name = "success.html"

class SignUpView(TemplateView):
    template_name = 'register.html'

    def get(self, request, *args, **kwargs):
        form = MyUserForm()
        return render(request, self.template_name, {'form': form})
    
    def post(self, request, *args, **kwargs):
        form = MyUserForm(request.POST)
        if form.is_valid():
            user = MyUser.objects.create_user(
                    request.POST.get('username'),
                    request.POST.get('email'),
                    request.POST.get('password')
                )
            user.first_name = request.POST.get('first_name')
            user.last_name = request.POST.get('last_name')
            user.phone_number = request.POST.get('phone_number')
            user.save()
            return redirect('registro/success')
        return render(request, self.template_name, {'form': form})

app/templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <title>singup</title>
   
    <meta charset="utf-8">
   
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
</head>
<body class="override">
    <nav class="navbar navbar-inverse" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="/">CS PROJECT</a>
            </div>
           
            <div id="navbar" class="collapse navbar-collapse">
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="registro">Register</a></li>
                </ul>
            </div>
        </div>
    </nav>
   
    <div class="container">
        <div class="row">
            {% block content %}{% endblock %}
        </div>
    </div>
</body>
</html>

app/templates/index.html
{% extends "base.html" %}

app/templates/register.html
{% extends "base.html" %}

{% block content %}
    <div class="container">
        <form action="{% url 'app:user_register' %}" method="post">
            {% csrf_token %}
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-heading">Register</div>
                    <div class="panel-body">
                        <div class="form-group clearfix">
                            <label for="{{ form.username.id_for_label }}" class="col-md-4 control-label text-right">Username<span class="text-red">*</span>:</label>
                            <div class="col-md-6">
                                {{ form.username }}
                                {% if form.username.errors %}
                                <span style="color: red;display:block;" >
                                    {% for error in form.username.errors %}
                                        {{error}}
                                    {% endfor %}
                                </span>
                                {% endif %}
                            </div>
                        </div>
                        <div class="form-group clearfix">
                            <label for="{{ form.email.id_for_label }}" class="col-md-4 control-label text-right">Email<span class="text-red">*</span>:</label>
                            <div class="col-md-6">
                                {{ form.email }}
                                {% if form.email.errors %}
                                <span style="color: red;display:block;" >
                                    {% for error in form.email.errors %}
                                        {{error}}
                                    {% endfor %}
                                </span>
                                {% endif %}
                            </div>
                        </div>
                        <div class="form-group clearfix">
                            <label for="{{ form.password.id_for_label }}" class="col-md-4 control-label text-right">Password<span class="text-red">*</span>:</label>
                            <div class="col-md-6">
                                {{ form.password }}
                                {% if form.password.errors %}
                                <span style="color: red;display:block;" >
                                    {% for error in form.password.errors %}
                                        {{error}}
                                    {% endfor %}
                                </span>
                                {% endif %}
                            </div>
                        </div>
                        <div class="form-group clearfix">
                            <label for="{{ form.first_name.id_for_label }}" class="col-md-4 control-label text-right">First Name:</label>
                            <div class="col-md-6">
                                {{ form.first_name }}
                            </div>
                        </div>
                        <div class="form-group clearfix">
                            <label for="{{ form.last_name.id_for_label }}" class="col-md-4 control-label text-right">Last Name:</label>
                            <div class="col-md-6">
                                {{ form.last_name }}
                                {% if form.last_name.errors %}
                                <span style="color: red;display:block;" >
                                    {% for error in form.last_name.errors %}
                                        {{error}}
                                    {% endfor %}
                                </span>
                                {% endif %}
                            </div>
                        </div>
                        <div class="form-group clearfix">
                            <label for="{{ form.phone_number.id_for_label }}" class="col-md-4 control-label text-right">Phone Number:</label>
                            <div class="col-md-6">
                                {{ form.phone_number }}
                                {% if form.phone_number.errors %}
                                <span style="color: red;display:block;" >
                                    {% for error in form.phone_number.errors %}
                                        {{error}}
                                    {% endfor %}
                                </span>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-md-6 col-md-offset-4">
                            <input type="submit" value="Register" class="btn btn-success">
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
{% endblock %}

app/templates/success.html
{% extends "base.html" %}

{% block content %}
    <h1>USUARIO REGISTRADO CON EXITO</h1>
{% endblock %}